Subject: Re: [dnsop] Implementation of stub DNS Server

From: Mark Andrews <[email-masked]>
Date: Sun, 14 Aug 2005 19:34:12 +1000

> On Sun, Aug 14, 2005 at 11:52:00AM +1000, Mark Andrews wrote:
> > > How should it react "correctly" to queries for NS entries
> > > and SOA entries? (These RR types are and will NOT
> > > be implemented on the load balancer)
> > > 
> > > Should it send back NOTIMP (NOTIMPL in Bind) answers?
> > > Or should it also send back empty answers?
> 
> An easy solution is for it to proxy the query to a 'real' nameserver if it
> isn't able to generate an answer itself. That way it would only have to deal
> with 1 record, and proxy the rest of the zone.
> 
> PowerDNS allows the operator to do this internally, ie, load a zone from
> disk but insert a backend that gets queried first (say, a pipebackend), and
> have that disavow any knowledge of anything other than that single record.
> 
> > 	I really don't understand why LB vendors don't implement
> > 	returning cachable negative answers and EDNS.  Basically
> > 	the LB clients buy the LB to get quicker responses for
> > 	their clients yet failure to implement both of these leads
> > 	to lot of extra queries and hence extra resolution time.
> 
> Mark, how does EDNS speed up things? But I'm all with you, it is not that
> much work to do things well. Things get upset by strange partial
> nameservers.

	It removes round trips between the DNS client and the nameserver.
	Depending upon where they are in the world you can be looking at
	20-250ms, 400ms for satellite links.

	You can more than halve the query load.  Most clients these days
	support both EDNS and IPv6.

	Mark
--
Mark Andrews, ISC
1 Seymour St., Dundas Valley, NSW 2117, Australia
PHONE: +61 2 9871 4742                 INTERNET: [email-masked]
.
dnsop resources:_____________________________________________________
web user interface: http://darkwing.uoregon.edu/~llynch/dnsop.html
mhonarc archive: http://darkwing.uoregon.edu/~llynch/dnsop/index.html